cURL
curl --request GET \
--url https://api.ttapi.io/sora-partner/fetch \
--header 'TT-API-KEY: <api-key>'import requests
url = "https://api.ttapi.io/sora-partner/fetch"
headers = {"TT-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'TT-API-KEY': '<api-key>'}};
fetch('https://api.ttapi.io/sora-partner/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESS",
"message": "success",
"jobId": "c0cc8dad-0954-421f-be8d-02eb063b3263",
"data": {
"videoId": "video_sorab69aa4c3ccd83d072d3294a839e9935e94edb0da2",
"model": "sora-2",
"prompt": "Anime: a wolf running",
"videoUrl": "https://cdn.ttapi.io/sora/2026-03-06/61651a39-0a6e-418a-862e-67a09f0792c7.mp4",
"seconds": "4",
"size": "1280x720",
"quota": "40",
"finishTime": "2026-03-06 03:40:22"
}
}{
"status": "FAILED",
"message": "\"prompt\" cannot be empty.",
"data": {}
}{
"status": "FAILED",
"message": "Wrong TT-API-KEY or email is not activated."
}Sora Partner Video Result
deprecated
Get task results through partner channel
GET
/
sora-partner
/
fetch
cURL
Authorizations
You can obtain your API key from the TTAPI Dashboard.
Path Parameters
jobId returned from the video generation endpoint
Last modified on May 5, 2026
⌘I